# Redefine macro __debug_install_post to strip -l<digit> information.
%define __debug_install_post_hpe  %{lua:
	local var   = "__debug_install_post"
        local dip   = "%{" .. var .. "}"
        local orig  = rpm.expand(dip)
	-- Remove -lXX when calling find-debuginfo.sh
        local new   = string.gsub(orig, "-l%d+", "")
	-- Redefine __debug_install_post macro quoting stuff properly
        rpm.undefine(var)
	-- ... and removing double-quote at the beginning/end.
        rpm.define(var .. " " .. string.sub(string.format("%q",new),2,-2))
        }
# On ia64_sles11, we just build sgi-issp-release
# %define issp_only %( [ "%_arch" = "ia64" -a "%_vendor" = "suse" ] && echo 1 || echo 0 )

# XXX: sgi-BUNDLE-majorVersion where bundle is one of :
#      [ accelerate, mpi, upc, react, xvm, smn, slurm ]
%define accelDocDir	sgi-accelerate-1
%define mpiDocDir	sgi-mpi-1
%define HPEmpiDocDir	hpe-mpi-1
%define upcDocDir	sgi-upc-1
%define rtDocDir	sgi-react-1
%define xfs_xvmDocDir	sgi-xfs_xvm-3
%define xvmDocDir	sgi-xvm-7
%define smnDocDir	sgi-smn-1
%define fndDocDir	sgi-foundation-2
%define fndsapDocDir	sgi-foundation-for-sap-2
%define fndOEMDocDir	system-foundation-software-2
%define	slurmDocDir	sgi-slurm-2

# Versioning tag
%define	BUILD_DIST	sles15sp3
%define	BUILD_DATE	220526T1038
%define	VERS_NODOT	740

# Define default ( with:on or without:not specified ) options
%define release_with_opt()	%{expand:%%{!?_with_%{1}:%%global _with_%{1} 1}}
%define release_without_opt()	%{expand:%%{?_with_%{1}:%%global _with_%{1} 0}}

# FORCE: Turn mangrove off
# %release_without_op		slurm
# %release_without_opt		mangrove
# %release_without_opt		xfs-xvm
# %release_without_opt		xvm

# Test if a %_with_XXX option is set. Default is false, ie. 0.
%define release_with()		%{expand:%%{?_with_%{1}:1}%%{!?_with_%{1}:0}}

# Useful constants
%define	arch			%{_arch}
%define	vendor			%{_vendor}
%define	arch_vendor		%{_arch}_%{_vendor}

# Debugging
# dump


# Generic ----------------------------------------------------------------------
Summary: Wrapper package for SGI products release files
Name: sgi-perfsuite-release
DistTag: RELEASE=hawks245,DISTRO=suse,DISTRO_VERSION=1530,DISTRO_OS=sles15sp3gm,DIST=sles15sp3,SRC=opensource/sgi-release
Version: 740
Release: 740.1530.220526T1038.r.sles15sp3hpe
License: GPL
Vendor: Hewlett Packard Enterprise Company
Packager: Hewlett Packard Enterprise Company
URL: <http://www.hpe.com/>
Group: System/Fhs
Source: %{name}-%{version}.tar.bz2
Source1: build_date
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-root

%description
Wrapper package for SGI Foundation and SGI Performance Suite release files

%prep
%setup -n sgi-release

# sgi-upgrade-utils for almost all ISOs ----------------------------------------
%if 0 
%if "%_arch" == "x86_64"
%if %{release_with foundation} || %{release_with mangrove} || %{release_with mpiOFF} || %{release_with react} || %{release_with upc} || %{release_with xvm}
%package -n sgi-upgrade-utils
Summary: SGI Upgrade utilities
#Distribution: SGI(R) Foundation Software
Distribution: SGI(R) Foundation Software
Group: System/Fhs
%description -n sgi-upgrade-utils
SGI Upgrade utilities
%endif
%endif
%endif

# hpe-foundation release -------------------------------------------------------
%if %{release_with hpefoundation}
%package -n hpe-foundation-release
Version: 2.4.5
Summary: HPE Foundation release files
Distribution:  HPE(R) Foundation Software
Group: System/Fhs
# Obsoletes all worm module removed in previous versions
# of propack. See below.
Requires:	hwperf
%description -n hpe-foundation-release
HPE Foundation Software release files.
%endif

# sgi-foundation release -------------------------------------------------------
%if %{release_with foundation}
%package -n sgi-foundation-release
Version: 2.19
Summary: SGI Foundation release files
Distribution:  SGI(R) Foundation Software
Group: System/Fhs
# Obsoletes all worm module removed in previous versions
# of propack. See below.
Obsoletes:	memlog-worm sgi-worm-kmp-carlsbad sgi-worm-kmp-debug sgi-worm-kmp-default sgi-worm-kmp-sltdebug sgi-worm-kmp-smp sgi-worm-kmp-trace sgi-worm-kmp-uv sgi-worm-kmp-xen chkfeature chkfeature-libs chkfeature-python
Requires:	hwperf
%description -n sgi-foundation-release
SGI Foundation Software release file, release notes and RPM listing.
%endif

# sgi-foundation-sap release ---------------------------------------------------
%if %{release_with foundation}
%package -n sgi-foundation-sap-release
Version: 2.19
Summary: SGI Foundation for SAP HANA Appliances release files
Distribution:  SGI(R) Foundation Software for SAP HANA Appliances
Group: System/Fhs
# Obsoletes all worm module removed in previous versions
# of propack. See below.
Obsoletes:	memlog-worm sgi-worm-kmp-carlsbad sgi-worm-kmp-debug sgi-worm-kmp-default sgi-worm-kmp-sltdebug sgi-worm-kmp-smp sgi-worm-kmp-trace sgi-worm-kmp-uv sgi-worm-kmp-xen chkfeature chkfeature-libs chkfeature-python
Requires:	hwperf
%description -n sgi-foundation-sap-release
SGI Foundation Software for SAP HANA Appliances release file, release notes and RPM listing.
%endif

# system-foundation-software release ---------------------------------------------------
%if %{release_with foundation}
%package -n system-foundation-software-release
Version: 2.19
Summary: System Foundation Software release files
Distribution: System Foundation Software
Group: System/Fhs
# Obsoletes all worm module removed in previous versions
# of propack. See below.
Obsoletes:	memlog-worm sgi-worm-kmp-carlsbad sgi-worm-kmp-debug sgi-worm-kmp-default sgi-worm-kmp-sltdebug sgi-worm-kmp-smp sgi-worm-kmp-trace sgi-worm-kmp-uv sgi-worm-kmp-xen chkfeature chkfeature-libs chkfeature-python
Requires:	hwperf
%description -n system-foundation-software-release
System Foundation Software release files, release notes and RPM listing.
%endif

# xfs-xvm release --------------------------------------------------------------
%if %{release_with xfs_xvm} || %{release_with xvm}
%package -n sgi-xfs_xvm-release
Version: 4.2.0
Summary: SGI XFS-XVM release file
Distribution:  SGI(R) XFS-XVM 
Group: System/Fhs
%if "%{_vendor}" == "suse"
Obsoletes:	sgi-xvm-release
Provides:	sgi-xvm-release
%endif
%description -n sgi-xfs_xvm-release
SGI XFS-XVM release file and release notes
%endif

# mangrove release -------------------------------------------------------------
%if %{release_with mangrove}
%package -n sgi-issp-release
Version: 4.2.0
Release: 420.1530.220526T1038.a.sles15sp3hpe
Summary: SGI ISSP release file
Distribution:  SGI InfiniteStorage Software Platform
Group: System/Fhs
%description -n sgi-issp-release
SGI InfiniteStorage Software Platform: Release and Version information
%endif

# smn release ------------------------------------------------------------------
%if %{release_with smn}
%package -n sgi-smn-release
Version: 1.13
Summary: SGI System Management Node release file
Distribution:  SGI(R) System Management Node
Group: System/Fhs
# Next is for KVM functionality.
Requires: javaws
%description -n sgi-smn-release
SGI System Management Node release file
%endif

# slurm release ----------------------------------------------------------------
%if %{release_with slurm}
%package -n sgi-slurm-release
Version: 
Summary: SGI SLURM release file
Distribution: SGI(R) SLURM
Group: System/Fhs
%description -n sgi-slurm-release
SGI SLURM release file
%endif

# accelerate release -----------------------------------------------------------
%if %{release_with mpiOFF}
%package -n sgi-accelerate-release
Version: 1.15
Summary: SGI Accelerate release file
Distribution:  SGI(R) Accelerate(TM)
Group: System/Fhs
%description -n sgi-accelerate-release
SGI Accelerate release file, release notes and RPM listing.
%endif

# mpi release ------------------------------------------------------------------
%if %{release_with mpi}
%package -n hpe-mpi-release
Version: 1.5
Summary: HPE MPI release file
Distribution:  HPE MPI
Group: System/Fhs
Provides:	  sgi-mpi-release
Obsoletes:	 sgi-mpi-release
%description -n hpe-mpi-release
HPE MPI release file, release notes and RPM listing.
%endif

# upc release ------------------------------------------------------------------
%if %{release_with upc}
%package -n sgi-upc-release
Version: 1.15
Summary: SGI UPC release file
Distribution: SGI(R) UPC
Group: System/Fhs
%description -n sgi-upc-release
SGI UPC release file, release notes and RPM listing.
%endif

# react release ----------------------------------------------------------------
%if %{release_with react}
%package -n sgi-react-release
Version: 1.21
Summary: SGI REACT release file
Distribution:  SGI(R) REACT(TM)
Group: System/Fhs
%description -n sgi-react-release
SGI REACT release file, release notes and RPM listing.
%endif

# ------------------------------------------------------------------------------
# build ------------------------------------------------------------------------
# ------------------------------------------------------------------------------
%build
BUILD=`echo "740.1530.220526T1038.r.sles15sp3hpe-%{BUILD_DATE}" | sed -e 's/sgi//g'`
%if %{release_with hpefoundation}
	echo "HPE Foundation Software 2.4.5, Build $BUILD" \
	> hpe-foundation-release
%endif

%if %{release_with foundation}
	echo "SGI Foundation Software 2.19, Build $BUILD" \
	> sgi-foundation-release
%endif
%if %{release_with foundation}
	echo "SGI Foundation Software for SAP HANA Appliances 2.19, Build $BUILD" \
	> sgi-foundation-sap-release
%endif
%if %{release_with foundation}
	echo "System Foundation Software 2.19, Build $BUILD" \
	> system-foundation-software-release
%endif
%if %{release_with xfs_xvm} || %{release_with xvm}
	echo "SGI XFS-XVM 4.2.0, Build $BUILD" \
	> sgi-xfs_xvm-release
%endif
%if %{release_with smn}
	echo "SGI System Management Node Software 1.13, Build $BUILD" \
	> sgi-smn-release
%endif
%if %{release_with slurm}
	echo "SGI SLURM Software , Build $BUILD"  \
	> sgi-slurm-release
%endif
%if %{release_with mpiOFF}
	echo "SGI Accelerate 1.15, Build $BUILD"	 \
	> sgi-accelerate-release
%endif
%if %{release_with mpi}
	echo "HPE MPI 1.5, Build $BUILD" \
	> hpe-mpi-release
%endif
%if %{release_with upc}
	echo "SGI UPC 1.15, Build $BUILD" \
	> sgi-upc-release
%endif
%if %{release_with react}
	echo "SGI REACT 1.21, Build $BUILD" \
	> sgi-react-release
%endif
%if %{release_with mangrove}
	echo "SGI InfiniteStorage Software Platform, version 4.2.0, Build $BUILD" \
	> sgi-issp-release
%endif

# Building the sgi-{pre,post}-upgrade scripts
%if 0 
%if "%_arch" == "x86_64"
    %if %{release_with foundation} || %{release_with mangrove} || %{release_with mpiOFF} || %{release_with react} || %{release_with upc} || %{release_with xvm}
	for step in pre post ; do
		target=sgi-${step}-upgrade
		source=${target}.%{_vendor}.sh
		[ -f ${source} ] || continue
		cat ${source} \
			| sed -e 's/VERS_NODOT/%{VERS_NODOT}/g' \
		> ${target}
	done
    %endif
%endif
%endif

# ------------------------------------------------------------------------------
# install ----------------------------------------------------------------------
# ------------------------------------------------------------------------------
%install
# Redefine macro __debug_install_post to strip -l<digit> information.
rpm --eval '%{__debug_install_post_hpe}'

# Directories setup
ETC_DIR=$RPM_BUILD_ROOT/etc
SBIN_DIR=$RPM_BUILD_ROOT/usr/sbin

mkdir -p $ETC_DIR
mkdir -p $SBIN_DIR
mkdir -p $ETC_DIR/yum.repos.d

# XXX: Not all products have a products.d setup
is_sles11() {
	[  "%{_vendor}" = "suse"	\
	-a "%{suse_version}" -ge 1100	\
	] && return 0 || return 1
}
is_redhat() {
	[ "%_vendor" = "redhat" ] \
		&& return 0	  \
		|| return 1
}

# install : hpe-foundation ---------------------------------------------------------
%if %{release_with hpefoundation}
	install -m 644 hpe-foundation-release $ETC_DIR
	fndMajorVer=`echo 2.4.5 | sed -e 's/^\([[:digit:]]\+\).*/\1/'`
	is_sles11 \
		&& mkdir -p $ETC_DIR/products.d				\
		&& install -m 644 hpe-foundation.prod $ETC_DIR/products.d/	\
		&& sed -i -e "s/###MAJOR###/$fndMajorVer/"		\
		          -e "s/###RELEASE###/2.4.5/"	\
		   $ETC_DIR/products.d/hpe-foundation.prod
%endif

# install : foundation ---------------------------------------------------------
%if %{release_with foundation}
	install -m 644 sgi-foundation-release $ETC_DIR
#	%if "%arch_vendor" == "x86_64_redhat"
#	install -m 755 sgi-foundation-update-source.rhel $SBIN_DIR/sgi-foundation-update-source
#	%endif
	fndMajorVer=`echo 2.19 | sed -e 's/^\([[:digit:]]\+\).*/\1/'`
	fndMinorVer=2.19
#	is_redhat \
#		&& install -m 644 foundation.repo $ETC_DIR/yum.repos.d	\
#   		&& sed -i -e 's/###RELEASE###/2.19/'\
#		          -e "s/###MAJOR###/$fndMajorVer/"		\
#		          -e "s/###MINOR###/$fndMinorVer/"		\
#		          -e "s/###BUILD_DIST###/%{BUILD_DIST}/"	\
#		   $ETC_DIR/yum.repos.d/foundation.repo			\
#		|| :
	is_sles11 \
		&& mkdir -p $ETC_DIR/products.d					\
		&& install -m 644 sgi-foundation.prod $ETC_DIR/products.d/	\
		&& sed -i -e "s/###MAJOR###/$fndMajorVer/"			\
		          -e "s/###RELEASE###/2.19/"	\
		   $ETC_DIR/products.d/sgi-foundation.prod			\
		|| :
	mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/sgi-foundation-$fndMajorVer/
	install -m 644 SGI-Foundation-Software-readme.txt $RPM_BUILD_ROOT/usr/share/doc/packages/sgi-foundation-$fndMajorVer/SGI-Foundation-Software-$fndMinorVer-readme.txt
	install -m 644 SGI-Foundation-Software-rpms.txt $RPM_BUILD_ROOT/usr/share/doc/packages/sgi-foundation-$fndMajorVer/SGI-Foundation-Software-$fndMinorVer-rpms.txt
	[ "%{_vendor}" = "redhat" -a "%{_arch}" = "x86_64" ] && \
	install -m 644 SGI-Foundation-HA-Redhat-readme.txt $RPM_BUILD_ROOT/usr/share/doc/packages/sgi-foundation-$fndMajorVer/SGI-Foundation-HA-Redhat-$fndMinorVer-readme.txt
%endif

# install : foundationsap ------------------------------------------------------
%if %{release_with foundation}
	install -m 644 sgi-foundation-sap-release $ETC_DIR
	%if "%arch_vendor" == "x86_64_redhat"
	install -m 755 sgi-foundation-sap-update-source.rhel $SBIN_DIR/sgi-foundation-sap-update-source
	%endif
	fndMajorVer=`echo 2.19 | sed -e 's/^\([[:digit:]]\+\).*/\1/'`
	fndMinorVer=2.19
	is_redhat \
		&& install -m 644 foundation-sap.repo $ETC_DIR/yum.repos.d	\
   		&& sed -i -e 's/###RELEASE###/2.19/'\
		          -e "s/###MAJOR###/$fndMajorVer/"		\
		          -e "s/###MINOR###/$fndMinorVer/"		\
		          -e "s/###BUILD_DIST###/%{BUILD_DIST}/"	\
		   $ETC_DIR/yum.repos.d/foundation-sap.repo		\
		|| :
	is_sles11 \
		&& mkdir -p $ETC_DIR/products.d					\
		&& install -m 644 sgi-foundation-sap.prod $ETC_DIR/products.d/	\
		&& sed -i -e "s/###MAJOR###/$fndMajorVer/"			\
		          -e "s/###RELEASE###/2.19/"	\
		   $ETC_DIR/products.d/sgi-foundation-sap.prod			\
		|| :
	mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/sgi-foundation-for-sap-$fndMajorVer/
	install -m 644 SGI-Foundation-Software-for-SAP-HANA-Appliances-readme.txt $RPM_BUILD_ROOT/usr/share/doc/packages/sgi-foundation-for-sap-$fndMajorVer/SGI-Foundation-Software-for-SAP-HANA-Appliances-$fndMinorVer-readme.txt
	install -m 644 SGI-Foundation-Software-for-SAP-HANA-Appliances-rpms.txt $RPM_BUILD_ROOT/usr/share/doc/packages/sgi-foundation-for-sap-$fndMajorVer/SGI-Foundation-Software-for-SAP-HANA-Appliances-$fndMinorVer-rpms.txt
# commenting out the HA document since SFS for SAP HANA Appliances only supports SLES
# initially (Mar.2014)
#	[ "%{_vendor}" = "redhat" -a "%{_arch}" = "x86_64" ] && \
#	install -m 644 SGI-Foundation-HA-Redhat-readme.txt $RPM_BUILD_ROOT/usr/share/doc/packages/sgi-foundation-$fndMajorVer/SGI-Foundation-HA-Redhat-$fndMinorVer-readme.txt
%endif

# install : foundationOEM ------------------------------------------------------
%if %{release_with foundation}
	install -m 644 system-foundation-software-release $ETC_DIR
# 	%if "%arch_vendor" == "x86_64_redhat"
# 	install -m 755 system-foundation-software-update-source.rhel $SBIN_DIR/system-foundation-software-update-source
# 	%endif
	fndMajorVer=`echo 2.19 | sed -e 's/^\([[:digit:]]\+\).*/\1/'`
	fndMinorVer=2.19
#	is_redhat \
#		&& install -m 644 foundation-oem.repo $ETC_DIR/yum.repos.d	\
#   		&& sed -i -e 's/###RELEASE###/2.19/'\
#		          -e "s/###MAJOR###/$fndMajorVer/"		\
#		          -e "s/###MINOR###/$fndMinorVer/"		\
#	          	  -e "s/###BUILD_DIST###/%{BUILD_DIST}/"	\
#		   $ETC_DIR/yum.repos.d/foundation-oem.repo		\
#		|| :
	is_sles11 \
		&& mkdir -p $ETC_DIR/products.d					\
		&& install -m 644 system-foundation-oem.prod $ETC_DIR/products.d/	\
		&& sed -i -e "s/###MAJOR###/$fndMajorVer/"			\
		          -e "s/###RELEASE###/2.19/"	\
		   $ETC_DIR/products.d/system-foundation-oem.prod			\
		|| :
	mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/system-foundation-software-$fndMajorVer/
	install -m 644 System-Foundation-Software-readme.txt $RPM_BUILD_ROOT/usr/share/doc/packages/system-foundation-software-$fndMajorVer/System-Foundation-Software-$fndMinorVer-readme.txt
	install -m 644 System-Foundation-Software-rpms.txt $RPM_BUILD_ROOT/usr/share/doc/packages/system-foundation-software-$fndMajorVer/System-Foundation-Software-$fndMinorVer-rpms.txt
# commenting out the HA document since SFS for SAP HANA Appliances only supports SLES
# initially (Mar.2014)
#	[ "%{_vendor}" = "redhat" -a "%{_arch}" = "x86_64" ] && \
#	install -m 644 SGI-Foundation-HA-Redhat-readme.txt $RPM_BUILD_ROOT/usr/share/doc/packages/sgi-foundation-$fndMajorVer/SGI-Foundation-HA-Redhat-$fndMinorVer-readme.txt
%endif


# install : smn ----------------------------------------------------------------
%if %{release_with smn}
	install -m 644 sgi-smn-release $ETC_DIR
	%if "%arch_vendor" == "x86_64_redhat"
	install -m 755 sgi-smn-update-source.rhel $SBIN_DIR/sgi-smn-update-source
	%endif
	smnMajorVer=`echo 1.13 | sed -e 's/^\([[:digit:]]\+\).*/\1/'`
	smnMinorVer=1.13
	is_redhat \
		&& install -m 644 smn.repo $ETC_DIR/yum.repos.d 	\
		&& sed -i -e 's/###RELEASE###/1.13/' 	\
		          -e "s/###MAJOR###/$smnMajorVer/"		\
		          -e "s/###MINOR###/$smnMinorVer/"		\
		          -e "s/###BUILD_DIST###/%{BUILD_DIST}/"	\
		   $ETC_DIR/yum.repos.d/smn.repo			\
		|| :
	is_sles11 \
		&& mkdir -p $ETC_DIR/products.d				\
		&& install -m 644 sgi-smn.prod $ETC_DIR/products.d/	\
		&& sed -i -e "s/###MAJOR###/$smnMajorVer/"		\
		          -e "s/###RELEASE###/1.13/"	\
		   $ETC_DIR/products.d/sgi-smn.prod			\
		|| :
	mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/sgi-smn-$smnMajorVer/
	install -m 644 SGI-SMN-readme.txt $RPM_BUILD_ROOT/usr/share/doc/packages/sgi-smn-$smnMajorVer/SGI-SMN-$smnMinorVer-readme.txt
	install -m 644 SGI-SMN-rpms.txt $RPM_BUILD_ROOT/usr/share/doc/packages/sgi-smn-$smnMajorVer/SGI-SMN-$smnMinorVer-rpms.txt
%endif

# install : slurm --------------------------------------------------------------
%if %{release_with slurm}
	install -m 644 sgi-slurm-release $ETC_DIR
	%if "%arch_vendor" == "x86_64_redhat"
	install -m 755 sgi-slurm-update-source.rhel $SBIN_DIR/sgi-slurm-update-source
	%endif
	slurmMajorVer=`echo  | sed -e 's/^\([[:digit:]]\+\).*/\1/'`
	slurmMinorVer=
	is_redhat \
		&& install -m 644 slurm.repo $ETC_DIR/yum.repos.d	\
		&& sed -i -e 's/###RELEASE###//'	\
		          -e "s/###MAJOR###/$slurmMajorVer/"		\
		          -e "s/###MINOR###/$slurmMinorVer/"		\
		          -e "s/###BUILD_DIST###/%{BUILD_DIST}/"	\
		   $ETC_DIR/yum.repos.d/slurm.repo			\
		|| :
	is_sles11 \
		&& mkdir -p $ETC_DIR/products.d				\
		&& install -m 644 sgi-slurm.prod $ETC_DIR/products.d/	\
		&& sed -i -e "s/###MAJOR###/$slurmMajorVer/"		\
		          -e "s/###RELEASE###//"	\
		   $ETC_DIR/products.d/sgi-slurm.prod			\
		|| :
	mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/sgi-slurm-$slurmMajorVer/
	install -m 644 SGI-SLURM-readme.txt $RPM_BUILD_ROOT/usr/share/doc/packages/sgi-slurm-$slurmMajorVer/SGI-SLURM-$slurmMinorVer-readme.txt
	install -m 644 SGI-SLURM-rpms.txt $RPM_BUILD_ROOT/usr/share/doc/packages/sgi-slurm-$slurmMajorVer/SGI-SLURM-$slurmMinorVer-rpms.txt
%endif

# install : accelerate ---------------------------------------------------------
%if %{release_with mpiOFF}
	install -m 644 sgi-accelerate-release $ETC_DIR
	%if "%arch_vendor" == "x86_64_redhat"
	install -m 755 sgi-accelerate-update-source.rhel $SBIN_DIR/sgi-accelerate-update-source
	%endif
	accelMajorVer=`echo 1.15 | sed -e 's/^\([[:digit:]]\+\).*/\1/'`
	accelMinorVer=1.15
	is_redhat \
		&& install -m 644 accelerate.repo $ETC_DIR/yum.repos.d	\
		&& sed -i -e 's/###RELEASE###/1.15/'	\
		          -e "s/###MAJOR###/$accelMajorVer/"		\
		          -e "s/###MINOR###/$accelMinorVer/"		\
		          -e "s/###BUILD_DIST###/%{BUILD_DIST}/"	\
		   $ETC_DIR/yum.repos.d/accelerate.repo			\
		|| :
	is_sles11 \
		&& mkdir -p $ETC_DIR/products.d					\
		&& install -m 644 sgi-accelerate.prod $ETC_DIR/products.d/	\
		&& sed -i -e "s/###MAJOR###/$accelMajorVer/"			\
		          -e "s/###RELEASE###/1.15/"		\
		   $ETC_DIR/products.d/sgi-accelerate.prod			\
		|| :
	mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/sgi-accelerate-$accelMajorVer/
	install -m 644 SGI-Accelerate-readme.txt $RPM_BUILD_ROOT/usr/share/doc/packages/sgi-accelerate-$accelMajorVer/SGI-Accelerate-$accelMinorVer-readme.txt
	install -m 644 SGI-Accelerate-rpms.txt $RPM_BUILD_ROOT/usr/share/doc/packages/sgi-accelerate-$accelMajorVer/SGI-Accelerate-$accelMinorVer-rpms.txt
%endif

# install : mpi ----------------------------------------------------------------
%if %{release_with mpi}
	install -m 644 hpe-mpi-release $ETC_DIR
	%if "%arch_vendor" == "x86_64_redhat"
	install -m 755 hpe-mpi-update-source.rhel $SBIN_DIR/hpe-mpi-update-source
	%endif
	mpiMajorVer=`echo 1.5 | sed -e 's/^\([[:digit:]]\+\).*/\1/'`
	mpiMinorVer=1.5
	is_redhat \
		&& install -m 644 mpi.repo $ETC_DIR/yum.repos.d		\
		&& sed -i -e 's/###RELEASE###/1.5/'	\
		          -e "s/###MAJOR###/$mpiMajorVer/"		\
		          -e "s/###MINOR###/$mpiMinorVer/"		\
		          -e "s/###BUILD_DIST###/%{BUILD_DIST}/"	\
		   $ETC_DIR/yum.repos.d/mpi.repo			\
		|| :
	is_sles11 \
		&& mkdir -p $ETC_DIR/products.d				\
		&& install -m 644 hpe-mpi.prod $ETC_DIR/products.d/	\
		&& sed -i -e "s/###MAJOR###/$mpiMajorVer/"		\
		          -e "s/###RELEASE###/1.5/"	\
		   $ETC_DIR/products.d/hpe-mpi.prod			\
		|| :
	mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/hpe-mpi-$mpiMajorVer/
	install -m 644 HPE-MPI-readme.txt $RPM_BUILD_ROOT/usr/share/doc/packages/hpe-mpi-$mpiMajorVer/HPE-MPI-$mpiMinorVer-readme.txt
	install -m 644 HPE-MPI-rpms.txt $RPM_BUILD_ROOT/usr/share/doc/packages/hpe-mpi-$mpiMajorVer/HPE-MPI-$mpiMinorVer-rpms.txt
%endif

# install : upc ----------------------------------------------------------------
%if %{release_with upc}
	install -m 644 sgi-upc-release $ETC_DIR
	%if "%arch_vendor" == "x86_64_redhat"
	install -m 755 sgi-upc-update-source.rhel $SBIN_DIR/sgi-upc-update-source
	%endif
	upcMajorVer=`echo 1.15 | sed -e 's/^\([[:digit:]]\+\).*/\1/'`
	upcMinorVer=1.15
	is_redhat \
		&& install -m 644 upc.repo $ETC_DIR/yum.repos.d		\
		&& sed -i -e 's/###RELEASE###/1.15/'	\
		          -e "s/###MAJOR###/$upcMajorVer/"		\
		          -e "s/###MINOR###/$upcMinorVer/"		\
		          -e "s/###BUILD_DIST###/%{BUILD_DIST}/"	\
		   $ETC_DIR/yum.repos.d/upc.repo			\
		|| :
	is_sles11 \
		&& mkdir -p $ETC_DIR/products.d				\
		&& install -m 644 sgi-upc.prod $ETC_DIR/products.d/	\
		&& sed -i -e "s/###MAJOR###/$upcMajorVer/"		\
		          -e "s/###RELEASE###/1.15/"	\
		   $ETC_DIR/products.d/sgi-upc.prod			\
		|| :
	mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/sgi-upc-$upcMajorVer/
	install -m 644 SGI-UPC-readme.txt $RPM_BUILD_ROOT/usr/share/doc/packages/sgi-upc-$upcMajorVer/SGI-UPC-$upcMinorVer-readme.txt
	install -m 644 SGI-UPC-rpms.txt $RPM_BUILD_ROOT/usr/share/doc/packages/sgi-upc-$upcMajorVer/SGI-UPC-$upcMinorVer-rpms.txt
%endif

# install : react --------------------------------------------------------------
%if %{release_with react}
	install -m 644 sgi-react-release $ETC_DIR
	%if "%arch_vendor" == "x86_64_redhat"
	install -m 755 sgi-react-update-source.rhel $SBIN_DIR/sgi-react-update-source
	%endif
	rtMajorVer=`echo 1.21 | sed -e 's/^\([[:digit:]]\+\).*/\1/'`
	rtMinorVer=1.21
	is_redhat \
		&& install -m 644 react.repo $ETC_DIR/yum.repos.d	\
		&& sed -i -e 's/###RELEASE###/1.21/'	\
		          -e "s/###MAJOR###/$rtMajorVer/"		\
		          -e "s/###MINOR###/$rtMinorVer/"		\
		          -e "s/###BUILD_DIST###/%{BUILD_DIST}/"	\
		   $ETC_DIR/yum.repos.d/react.repo			\
		|| :
	is_sles11 \
		&& mkdir -p $ETC_DIR/products.d				\
		&& install -m 644 sgi-react.prod $ETC_DIR/products.d/	\
		&& sed -i -e "s/###MAJOR###/$rtMajorVer/"		\
		           -e "s/###RELEASE###/1.21/"	\
		   $ETC_DIR/products.d/sgi-react.prod			\
		|| :
	mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/sgi-react-$rtMajorVer/
	install -m 644 HPE-REACT-readme.txt $RPM_BUILD_ROOT/usr/share/doc/packages/sgi-react-$rtMajorVer/HPE-REACT-$rtMinorVer-readme.txt
	install -m 644 HPE-REACT-rpms.txt $RPM_BUILD_ROOT/usr/share/doc/packages/sgi-react-$rtMajorVer/HPE-REACT-$rtMinorVer-rpms.txt
%endif

# install : mangrove -----------------------------------------------------------
%if %{release_with mangrove}
	install -m 644 sgi-issp-release $ETC_DIR
	# XXX: No Rhel update source setup
%endif

# install : xfs-xvm ------------------------------------------------------------
%if %{release_with xfs_xvm} || %{release_with xvm}
	install -m 644 sgi-xfs_xvm-release $ETC_DIR
	# XXX: No Rhel update source setup
	if [[ "4.2.0" =~ SP[[:digit:]]+$ ]]; then
		xfsMinorVer=`echo 4.2.0 | sed -e 's/^[[:digit:]]\+SP\([[:digit:]]\+\)$/sp\1/'`
	else
		xfsMinorVer="ga"
	fi
	xfsMajorVer=`echo 4.2.0 | sed -e 's/^\([[:digit:]]\+\).*/\1/'`
	xfsMinorVer=4.2.0
	is_redhat \
		&& install -m 644 xfs_xvm.repo $ETC_DIR/yum.repos.d 	\
		&& sed -i -e 's/###RELEASE###/4.2.0/' 	\
		          -e "s/###MAJOR###/$xfsMajorVer/"		\
		          -e "s/###MINOR###/$xfsMinorVer/"		\
		          -e "s/###BUILD_DIST###/%{BUILD_DIST}/"	\
		   $ETC_DIR/yum.repos.d/xfs_xvm.repo			\
		|| :
	is_sles11 \
		&& mkdir -p $ETC_DIR/products.d				\
		&& install -m 644 sgi-xfs_xvm.prod $ETC_DIR/products.d/	\
		&& sed -i -e "s/###MAJOR###/$xfsMajorVer/"		\
		          -e "s/###RELEASE###/4.2.0/"	\
		   $ETC_DIR/products.d/sgi-xfs_xvm.prod			\
		|| :
	mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/%{xfs_xvmDocDir}
	install -m 644 SGI-XFS_XVM-readme.txt $RPM_BUILD_ROOT/usr/share/doc/packages/%{xfs_xvmDocDir}/SGI-XFS_XVM-4.2.0-readme.txt
	install -m 644 SGI-XFS_XVM-rpms.txt $RPM_BUILD_ROOT/usr/share/doc/packages/%{xfs_xvmDocDir}/SGI-XFS_XVM-4.2.0-rpms.txt
%endif

# install : Prepare sgi-post-upgrade ---------------------------
%if 0 
%if "%_arch" == "x86_64"
    %if %{release_with foundation} || %{release_with mangrove} || %{release_with mpiOFF} || %{release_with react} || %{release_with upc} || %{release_with xvm}
	# Install the sgi-{pre,post}-upgrade scripts
	for step in pre post ; do
		[ -f sgi-${step}-upgrade ] || continue
		install -m 755 sgi-${step}-upgrade	$SBIN_DIR
	done
	# Install the sgi-{pre,post}-upgrade yum plugins
	first=1
	for step in pre post ; do
		[ -f sgi-${step}-upgrade.%{_vendor}.py ] || continue
		if [ $first -eq 1 ] ; then
		install -m 755                       -d $RPM_BUILD_ROOT/usr/lib/yum-plugins
		install -m 755                       -d $ETC_DIR/yum/pluginconf.d
		first=0
		fi
		install -m 644 sgi-${step}-upgrade.%{_vendor}.py*  $RPM_BUILD_ROOT/usr/lib/yum-plugins
		install -m 644 sgi-${step}-upgrade.%{_vendor}.conf $RPM_BUILD_ROOT//etc/yum/pluginconf.d
	done

    %endif
%endif
%endif

# ------------------------------------------------------------------------------
# clean ------------------------------------------------------------------------
# ------------------------------------------------------------------------------
%clean
rm -rf $RPM_BUILD_ROOT

# ------------------------------------------------------------------------------
# files ------------------------------------------------------------------------
# ------------------------------------------------------------------------------

# sgi-upgrade-utils -----------------------------------------------------------
%if 0 
%if "%_arch" == "x86_64"
%if %{release_with foundation} || %{release_with mangrove} || %{release_with mpiOFF} || %{release_with react} || %{release_with upc} || %{release_with xvm}
%files -n sgi-upgrade-utils
%defattr(-,root,root)
%attr (755,root,root) /usr/sbin/sgi-*-upgrade
%if "%_vendor" == "redhat"
%attr (644,root,root) /usr/lib/yum-plugins/*
%attr (644,root,root) /etc/yum/pluginconf.d/*
%endif
%endif
%endif
%endif

# hpe-foundation ------------------------------------------------------------------
%if %{release_with hpefoundation}
%files -n hpe-foundation-release
%defattr(-,root,root)
/etc/hpe-foundation-release
%if "%{_vendor}" == "suse"
	/etc/products.d/hpe-foundation.prod
%endif
%endif


# foundation ------------------------------------------------------------------
%if %{release_with foundation}
%files -n sgi-foundation-release
%defattr(-,root,root)
/etc/sgi-foundation-release
/usr/share/doc/packages/%{fndDocDir}/SGI-Foundation-Software-2.19-readme.txt
/usr/share/doc/packages/%{fndDocDir}/SGI-Foundation-Software-2.19-rpms.txt
%if "%_vendor" == "redhat"
%if %_arch   == "x86_64"
/usr/share/doc/packages/%{fndDocDir}/SGI-Foundation-HA-Redhat-2.19-readme.txt
%endif
%endif
#%if "%_vendor" == "redhat"
#%config(noreplace) /etc/yum.repos.d/foundation.repo
#/usr/sbin/sgi-foundation-update-source
#%endif
%if "%{_vendor}" == "suse"
	/etc/products.d/sgi-foundation.prod
%endif
%endif


# foundationsap ---------------------------------------------------------------
%if %{release_with foundation}
%files -n sgi-foundation-sap-release
%defattr(-,root,root)
/etc/sgi-foundation-sap-release
/usr/share/doc/packages/%{fndsapDocDir}/SGI-Foundation-Software-for-SAP-HANA-Appliances-2.19-readme.txt
/usr/share/doc/packages/%{fndsapDocDir}/SGI-Foundation-Software-for-SAP-HANA-Appliances-2.19-rpms.txt
%if "%_vendor" == "redhat"
%if %_arch   == "x86_64"
# /usr/share/doc/packages/%{fndsapDocDir}/SGI-Foundation-HA-Redhat-2.19-readme.txt
%endif
%endif
%if "%_vendor" == "redhat"
%config(noreplace) /etc/yum.repos.d/foundation-sap.repo
/usr/sbin/sgi-foundation-sap-update-source
%endif
%if "%{_vendor}" == "suse"
	/etc/products.d/sgi-foundation-sap.prod
%endif
%endif


# foundationOEM ---------------------------------------------------------------
%if %{release_with foundation}
%files -n system-foundation-software-release
%defattr(-,root,root)
/etc/system-foundation-software-release
/usr/share/doc/packages/%{fndOEMDocDir}/System-Foundation-Software-2.19-readme.txt
/usr/share/doc/packages/%{fndOEMDocDir}/System-Foundation-Software-2.19-rpms.txt
%if "%_vendor" == "redhat"
%if %_arch   == "x86_64"
# /usr/share/doc/packages/%{fndsapDocDir}/SGI-Foundation-HA-Redhat-2.19-readme.txt
%endif
%endif
# %if "%_vendor" == "redhat"
# %config(noreplace) /etc/yum.repos.d/foundation-oem.repo
# /usr/sbin/system-foundation-software-update-source
# %endif
%if "%{_vendor}" == "suse"
	/etc/products.d/system-foundation-oem.prod
%endif
%endif

# xfs_xvm ---------------------------------------------------------------------
%if %{release_with xfs_xvm} || %{release_with xvm}
%files -n sgi-xfs_xvm-release
%defattr(-,root,root)
/etc/sgi-xfs_xvm-release
/usr/share/doc/packages/%{xfs_xvmDocDir}/SGI-XFS_XVM-4.2.0-readme.txt
/usr/share/doc/packages/%{xfs_xvmDocDir}/SGI-XFS_XVM-4.2.0-rpms.txt
%if "%_vendor" == "redhat"
%config(noreplace) /etc/yum.repos.d/xfs_xvm.repo
#/usr/sbin/sgi-xfs_xvm-update-source
%endif
%if "%{_vendor}" == "suse"
	/etc/products.d/sgi-xfs_xvm.prod
%endif
%endif


# issp ------------------------------------------------------------------------
%if %{release_with mangrove}
%files -n sgi-issp-release
%defattr(-,root,root)
/etc/sgi-issp-release
%endif

# smn -------------------------------------------------------------------------
%if %{release_with smn}
%files -n sgi-smn-release
%defattr(-,root,root)
/etc/sgi-smn-release
/usr/share/doc/packages/%{smnDocDir}/SGI-SMN-1.13-readme.txt
/usr/share/doc/packages/%{smnDocDir}/SGI-SMN-1.13-rpms.txt
%if "%_vendor" == "redhat"
%config(noreplace) /etc/yum.repos.d/smn.repo
/usr/sbin/sgi-smn-update-source
%endif
%if "%{_vendor}" == "suse"
   %if %{suse_version} >= 1100
		/etc/products.d/sgi-smn.prod
   %endif
%endif
%endif

# slurm -------------------------------------------------------------------------
%if %{release_with slurm}
%files -n sgi-slurm-release
%defattr(-,root,root)
/etc/sgi-slurm-release
/usr/share/doc/packages/%{slurmDocDir}/SGI-SLURM--readme.txt
/usr/share/doc/packages/%{slurmDocDir}/SGI-SLURM--rpms.txt
%if "%_vendor" == "redhat"
%config(noreplace) /etc/yum.repos.d/slurm.repo
/usr/sbin/sgi-slurm-update-source
%endif
%if "%{_vendor}" == "suse"
   %if %{suse_version} >= 1100
		/etc/products.d/sgi-slurm.prod
   %endif
%endif

%posttrans -n sgi-slurm-release

%endif

# accelerate ------------------------------------------------------------------
%if %{release_with mpiOFF}
%files -n sgi-accelerate-release
%defattr(-,root,root)
/etc/sgi-accelerate-release
/usr/share/doc/packages/%{accelDocDir}/SGI-Accelerate-1.15-readme.txt
/usr/share/doc/packages/%{accelDocDir}/SGI-Accelerate-1.15-rpms.txt
%if "%_vendor" == "redhat"
%config(noreplace) /etc/yum.repos.d/accelerate.repo
/usr/sbin/sgi-accelerate-update-source
%endif
%if "%{_vendor}" == "suse"
   %if %{suse_version} >= 1100
		/etc/products.d/sgi-accelerate.prod
	%endif
%endif

%posttrans -n sgi-accelerate-release

%endif

# mpi -------------------------------------------------------------------------
%if %{release_with mpi}
%files -n hpe-mpi-release
%defattr(-,root,root)
/etc/hpe-mpi-release
/usr/share/doc/packages/%{HPEmpiDocDir}/HPE-MPI-1.5-readme.txt
/usr/share/doc/packages/%{HPEmpiDocDir}/HPE-MPI-1.5-rpms.txt
%if "%_vendor" == "redhat"
%config(noreplace) /etc/yum.repos.d/mpi.repo
/usr/sbin/hpe-mpi-update-source
%endif
%if "%{_vendor}" == "suse"
   %if %{suse_version} >= 1100
		/etc/products.d/hpe-mpi.prod
	%endif
%endif

%posttrans -n hpe-mpi-release

%endif

# upc -------------------------------------------------------------------------
%if %{release_with upc}
%files -n sgi-upc-release
%defattr(-,root,root)
/etc/sgi-upc-release
/usr/share/doc/packages/%{upcDocDir}/SGI-UPC-1.15-readme.txt
/usr/share/doc/packages/%{upcDocDir}/SGI-UPC-1.15-rpms.txt
%if "%_vendor" == "redhat"
%config(noreplace) /etc/yum.repos.d/upc.repo
/usr/sbin/sgi-upc-update-source
%endif
%if "%{_vendor}" == "suse"
   %if %{suse_version} >= 1100
		/etc/products.d/sgi-upc.prod
	%endif
%endif

%posttrans -n sgi-upc-release

%endif

# react -----------------------------------------------------------------------
%if %{release_with react}
%files -n sgi-react-release
#%define rtMajorVer `echo 1.21 | sed -e 's/^\([[:digit:]]\+\).*/\1/'`
%defattr(-,root,root)
/etc/sgi-react-release
/usr/share/doc/packages/%{rtDocDir}/HPE-REACT-1.21-readme.txt
/usr/share/doc/packages/%{rtDocDir}/HPE-REACT-1.21-rpms.txt
%if "%_vendor" == "redhat"
%config(noreplace) /etc/yum.repos.d/react.repo
/usr/sbin/sgi-react-update-source
%endif
%if "%{_vendor}" == "suse"
   %if %{suse_version} >= 1100
		/etc/products.d/sgi-react.prod
	%endif
%endif
%endif

#if %{release_with foundationOEM} == 0
%if 0 
# ------------------------------------------------------------------------------
# changelog --------------------------------------------------------------------
# ------------------------------------------------------------------------------
%changelog
* Wed Dec 9 2015 Kevin Snow <kgsnow@sgi.com>
- Adding release documentation and removing unecessary files for OEM
* Tue Dec 8 2015 Michel Bourget <michel@sgi.com>
- Creating system-foundation-software for OEM
* Tue Jun 17 2014 Kevin Snow <kgsnow@sgi.com>
- Changed name of SFS for SAP HANA Appliances product
* Tue Jun 17 2014 Kevin Snow <kgsnow@sgi.com>
- Changed name of SFS for SAP HANA Appliances product
* Tue Mar 11 2014 Kevin Snow <kgsnow@sgi.com>
- Added SGI Foundation Software for SAP Applications release packaging
* Sat Jan 11 2014 Troy McCorkell <tdm@sgi.com>
- Merge xfs_xvm and xvm packaging
* Tue Nov 12 2013 Tony Ernst <tee@sgi.com>
- Removed release feature file
* Tue Mar 12 2013 Tony Ernst <tee@sgi.com>
  Turn off SLURM, for now.
* Thu Dec 20 2012 Troy McCorkell <tdm@sgi.com>
  Remove build_issp variable and references.
* Tue Sep 28 2011 michel Bourget <michel@sgi.com>
- Added sgi-upgrade-utils package
* Tue Jun 23 2011 michel Bourget <michel@sgi.com>
- Added SLURM related files.
* Wed Feb 2 2011 michel Bourget <michel@sgi.com>
- Create sgi-release RPM to hold /etc/sgi-release
* Mon Jan 3 2011 Kevin Snow <kgsnow@sgi.com>
- remove xfs-xvm update source script and online repo info
* Wed Oct 6 2010 Troy McCorkell <tdm@sgi.com>
- Build sgi-foundation-release for ia64.
* Mon Sep 27 2010 Michel Bourget <michel@sgi.com>
- Moved sgi-{foundation,xfs_xfm}-update-source from
  sgi-propack-configuration to sgi-{foundation,xfs_xfm}-release
* Tue Sep 14 2010 Michel Bourget <michel@sgi.com>
- Added SMN doc files.
* Fri Aug 27 2010 Kevin Snow <kgsnow@sgi.com>
- Change realtime to react product
* Fri Aug 20 2010 Kevin Snow <kgsnow@sgi.com>
- Change optimize product to mpi product
* Mon Aug 09 2010 Troy McCorkell <tdm@sgi.com>
- Added sgi-xvm release package
* Fri Aug 06 2010 Kevin Snow <kgsnow@sgi.com>
- Added sgi-upc release package
* Tue Jul 27 2010 michel Bourget <michel@sgi.com>
- Just build ISSP release file on ia64_sles11.
* Thu Jul 22 2010 Kevin Snow <kgsnow@sgi.com>
- Added support for accelerate, optimize, realtime products
* Thu Apr 29 2010 Michel Bourget <michel@sgi.com>
- Added support for sgi-smn-release file 
* Thu Oct 29 2009 Michel Bourget <michel@sgi.com>
- Added release feature file 
* Wed Sep 10 2008 Kevin Snow <kgsnow@sgi.com>
- Add xfs-xvm release notes file to sgi-xfs_xvm-release package [986583]
* Thu Aug 28 2008 Erik Jacobson <erikj@sgi.com>
- Add support for sgi xfs_xvm media [981013]
* Wed Jun 11 2008 Kevin Snow <kgsnow@sgi.com>
- add obsoletes tag for sgi-release packages from earlier
  SGI ProPack releases
* Mon Jun 09 2008 Kevin Snow <kgsnow@sgi.com>
- Remove the foundation-relnotes file as that will ship in
  the sgi-foundationdocs package instead.
* Thu Jun 05 2008 Kevin Snow <kgsnow@sgi.com>
- add SGI Foundation Software relnotes file and change
  sgi-foundation-release version number
* Wed Apr 16 2008 Erik Jacobson <erikj@sgi.com>
- Convert to new sgi-*-release files.  Based this spec file on
  the clustmgmt/sgi/release stuff by Greg Edwards.
%endif
